Subject: Re: bug#23769: 25.0.95; Mode Line breakage in vc-git

From: [email-masked] (Phillip Lord)
Date: Thu, 16 Jun 2016 08:45:40 +0100

Noam Postavsky <[email-masked]> writes:

> On Wed, Jun 15, 2016 at 6:09 PM, Phillip Lord
> <[email-masked]> wrote:
>>
>> Failing that, now I know what the problem is, at least I have a
>> workaround (unset GIT_DIR in the pre-commit hook).
>
> Apparently this "_the_ right way to write hooks that touch the files
> in the work tree."
>
> http://permalink.gmane.org/gmane.comp.version-control.git/136276

I agree that this will work. But it worth reading the justification --
"in earlier versions of git" -- so that will be git 1.6 latest, as the
post was in 2010.

So, I don't think that Emacs should *require* this to be the case. git
doesn't appear to any more.

Phil